import { View } from '@tarojs/components'
import { Tag } from '@antmjs/vantui'
import BarCode from '@/components/barcode';
import { useMemo } from 'react';

export default (props) => {
  const { barData, person } = props;

  const { tagShow, tagType, tagText } = useMemo(() => {
    if (barData.reqStat !== '6') return { tagShow: false };

    return {
      tagShow: true, 
      tagType: 'success',
      tagText: '阴性'
     }
  }, [barData])

  return (
    <View className='history-item'>
      <View className='history-item-code'>
        <BarCode ratio={0.5} height={60} code={barData.barcode} />
      </View>
      <View className='history-item-info'>
        <View>{person?.personName}</View>
        <View>{barData.sampledDt}</View>
        <View>
        {
          tagShow && <Tag size='large' type={tagType}>{tagText}</Tag>
        }
        </View>
      </View>
    </View>
  )
}
